summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2016-02-02 11:26:08 +0100
committer Eric Hameleers <alien@slackware.com>2016-02-02 11:26:08 +0100
commit6937b7f6dc9dac7d8f9bad92b5ca599d8e3702a1 (patch)
tree1eed6c449e9a9dd766d3528ecd7bcab8d8d46251
parentec3790e3a742ecb8b26682e03a5c4266e2cc9dfa (diff)
downloadliveslak-6937b7f6dc9dac7d8f9bad92b5ca599d8e3702a1.tar.gz
liveslak-6937b7f6dc9dac7d8f9bad92b5ca599d8e3702a1.tar.xz
Don't abort if the udev rules file is not present in the initrd.
-rwxr-xr-xmake_slackware_live.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/make_slackware_live.sh b/make_slackware_live.sh
index a9827c6..b48585d 100755
--- a/make_slackware_live.sh
+++ b/make_slackware_live.sh
@@ -1342,7 +1342,7 @@ cat $LIVE_TOOLDIR/liveinit | sed \
> ${LIVE_ROOTDIR}/boot/initrd-tree/init
cat /dev/null > ${LIVE_ROOTDIR}/boot/initrd-tree/luksdev
# We do not add openobex to the initrd and don't want to see irrelevant errors:
-rm ${LIVE_ROOTDIR}/boot/initrd-tree/lib/udev/rules.d/*openobex*rules 2>${DBGOUT}
+rm ${LIVE_ROOTDIR}/boot/initrd-tree/lib/udev/rules.d/*openobex*rules 2>${DBGOUT} || true
# Wrap up the initrd.img again:
chroot ${LIVE_ROOTDIR} /sbin/mkinitrd 1>/dev/null 2>${DBGOUT}
rm -rf ${LIVE_ROOTDIR}/boot/initrd-tree